<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.storlead.sales.mapper.systemrule.ApproveMapper">

        <!-- 通用查询映射结果 -->
        <resultMap id="BaseResultMap" type="com.storlead.sales.pojo.entity.systemrule.ApproveEntity">
                    <id column="id" property="id" />
                <result column="create_time" property="createTime" />
                <result column="update_time" property="updateTime" />
                <result column="create_by" property="createBy" />
                <result column="update_by" property="updateBy" />
                <result column="owner_by" property="ownerBy" />
                    <result column="data_year" property="dataYear" />
                    <result column="data_month" property="dataMonth" />
                    <result column="sub_company_id" property="subCompanyId" />
                    <result column="approve_type" property="approveType" />
                    <result column="current_node" property="currentNode" />
                    <result column="approve_user_id" property="approveUserId" />
                    <result column="approve_user_name" property="approveUserName" />
                    <result column="approve_status" property="approveStatus" />
        </resultMap>

        <!-- 通用查询结果列 -->
        <sql id="Base_Column_List">
                create_time,
                update_time,
                create_by,
                update_by,
                owner_by,
            id, data_year, data_month, sub_company_id, approve_type, current_node, approve_user_id, approve_user_name, approve_status
        </sql>

</mapper>
